import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import roulette

Item {
    Text {
        id: croupier
        text: "Croupier"
    }

    ColumnLayout {
        anchors {
            top: croupier.bottom
            topMargin: 20
        }

        spacing: 60

        Repeater {
            model: 7

            Item {
                Text {
                    id: label
                    text: "Player " + (index + 1)
                }

                TextField {
                    anchors.top: label.bottom
                    anchors.topMargin: 6

                    onTextEdited: PlayerAreaModel.setPlayerName(text, index)
                    onActiveFocusChanged: PlayerAreaModel.setFocusedPlayer(index)
                }
            }
        }
    }
}
