import QtQuick
import QtQuick.Controls

import roulette

Window {
    height: 500
    width: 1000
    title: "Roulette Payout"
    visible: true

    Pane {
        anchors.fill: parent

        PlayerAreaView {
            id: playerAreaView
        }

        Roulette {
            id: roulette
            height: parent.height / 1.7
            width: parent.width / 1.7

            anchors{
                top: parent.top
                right: parent.right
            }
        }
    }
}
